opentyrian(6)

NAME
opentyrian - an open-source port of the DOS game Tyrian

SYNOPSIS
opentyrian [OPTIONS]

DESCRIPTION
Tyrian is an arcade-style vertical scrolling shooter. The story is set in 20,031 where you play as Trent Hawkins, a skilled fighter-pilot employed to fight MicroSol and save the galaxy.

Tyrian features a story mode, one- and two-player arcade modes, and networked multiplayer.

OPTIONS

A summary of options is included below.

-h, --help
    Display help and exit.

-s, --no-sound
    Disable audio.

-j, --no-joystick
    Disable joystick/gamepad input.

-t, --data directory
    Set alternative Tyrian data directory.

-n, --net host[:port]
    Start a networked game; host is the IP address of your opponent. Use this option together with --net-player-name and --net-player-number to join game.

    OpenTyrian uses UDP port 1333 for multiplayer, but in most cases players will not need to open any ports because OpenTyrian makes use of UDP hole punching.

--net-player-name name
    Set name as your alias for multiplayer game.

--net-player-number number
    Select ship; number is either 1 or 2 depending on which ship you intend to pilot.

-p, --net-port port
    Set local port to bind.

-d, --net-delay frames
    Set lag-compensation delay.

-x, --no-xmas
    Disable Christmas mode.

COPYRIGHT
This program comes with ABSOLUTELY NO WARRANTY. This is free software, and you are welcome to redistribute it under certain conditions. See the file COPYING for details.

Data files bundled with this package come from Tyrian 2.1 data files which have been released as freeware.

Daniel Cook released graphic files under very liberal license ("use and abuse them as desired").

AUTHOR

This manual page was written by Patryk Obara <patryk.obara@gmail.com> basing on AshTR's README file.